<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.bw.adv.module.points.mapper.PointsTypeMapper" >
  <resultMap id="BaseResultMap" type="com.bw.adv.module.points.model.PointsType" >
    <id column="POINTS_TYPE_ID" property="pointsTypeId" jdbcType="BIGINT" />
    <result column="POINTS_TYPE_CODE" property="pointsTypeCode" jdbcType="VARCHAR" />
    <result column="POINTS_TYPE_NAME" property="pointsTypeName" jdbcType="VARCHAR" />
    <result column="POINTS_TYPE_DESC" property="pointsTypeDesc" jdbcType="VARCHAR" />
  </resultMap>
  <sql id="Base_Column_List" >
    POINTS_TYPE_ID, POINTS_TYPE_CODE, POINTS_TYPE_NAME, POINTS_TYPE_DESC
  </sql>
  <select id="selectByPrimaryKey" resultMap="BaseResultMap" parameterType="java.lang.Long" >
    select 
    <include refid="Base_Column_List" />
    from points_type
    where POINTS_TYPE_ID = #{pointsTypeId,jdbcType=BIGINT}
  </select>
  <delete id="deleteByPrimaryKey" parameterType="java.lang.Long" >
    delete from points_type
    where POINTS_TYPE_ID = #{pointsTypeId,jdbcType=BIGINT}
  </delete>
  <insert id="insert" parameterType="com.bw.adv.module.points.model.PointsType" >
    insert into points_type (POINTS_TYPE_ID, POINTS_TYPE_CODE, POINTS_TYPE_NAME, 
      POINTS_TYPE_DESC)
    values (#{pointsTypeId,jdbcType=BIGINT}, #{pointsTypeCode,jdbcType=VARCHAR}, #{pointsTypeName,jdbcType=VARCHAR}, 
      #{pointsTypeDesc,jdbcType=VARCHAR})
  </insert>
  <insert id="insertSelective" parameterType="com.bw.adv.module.points.model.PointsType" >
    insert into points_type
    <trim prefix="(" suffix=")" suffixOverrides="," >
      <if test="pointsTypeId != null" >
        POINTS_TYPE_ID,
      </if>
      <if test="pointsTypeCode != null" >
        POINTS_TYPE_CODE,
      </if>
      <if test="pointsTypeName != null" >
        POINTS_TYPE_NAME,
      </if>
      <if test="pointsTypeDesc != null" >
        POINTS_TYPE_DESC,
      </if>
    </trim>
    <trim prefix="values (" suffix=")" suffixOverrides="," >
      <if test="pointsTypeId != null" >
        #{pointsTypeId,jdbcType=BIGINT},
      </if>
      <if test="pointsTypeCode != null" >
        #{pointsTypeCode,jdbcType=VARCHAR},
      </if>
      <if test="pointsTypeName != null" >
        #{pointsTypeName,jdbcType=VARCHAR},
      </if>
      <if test="pointsTypeDesc != null" >
        #{pointsTypeDesc,jdbcType=VARCHAR},
      </if>
    </trim>
  </insert>
  <update id="updateByPrimaryKeySelective" parameterType="com.bw.adv.module.points.model.PointsType" >
    update points_type
    <set >
      <if test="pointsTypeCode != null" >
        POINTS_TYPE_CODE = #{pointsTypeCode,jdbcType=VARCHAR},
      </if>
      <if test="pointsTypeName != null" >
        POINTS_TYPE_NAME = #{pointsTypeName,jdbcType=VARCHAR},
      </if>
      <if test="pointsTypeDesc != null" >
        POINTS_TYPE_DESC = #{pointsTypeDesc,jdbcType=VARCHAR},
      </if>
    </set>
    where POINTS_TYPE_ID = #{pointsTypeId,jdbcType=BIGINT}
  </update>
  <update id="updateByPrimaryKey" parameterType="com.bw.adv.module.points.model.PointsType" >
    update points_type
    set POINTS_TYPE_CODE = #{pointsTypeCode,jdbcType=VARCHAR},
      POINTS_TYPE_NAME = #{pointsTypeName,jdbcType=VARCHAR},
      POINTS_TYPE_DESC = #{pointsTypeDesc,jdbcType=VARCHAR}
    where POINTS_TYPE_ID = #{pointsTypeId,jdbcType=BIGINT}
  </update>
</mapper>